/// <reference types="react" />
import { IClassNameProps, INote } from '../../../@types';
export interface IAddCommentaryProps extends IClassNameProps {
    /**
     * Defines note object
     */
    note?: INote;
    /**
     * Defines cancel button click event
     */
    onCancel?: () => void;
    /**
     * Defines submit button click event
     */
    onSubmit: (note: INote) => void;
    /**
     * Defines to show or hide cancel button
     */
    showCancel?: boolean;
    /**
     * Title of the form
     */
    title: string;
    /**
     * Text while loading
     * for ex. 'Adding', 'Editing' etc.
     */
    loadingText?: string;
}
export declare function AddCommentary({ className, note, onCancel, onSubmit, showCancel, title, loadingText, ...other }: IAddCommentaryProps): JSX.Element;
//# sourceMappingURL=AddCommentary.d.ts.map